Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKMediaElement Class Reference

`#include <IWORKMediaElement.h>`

Inheritance diagram for libetonyek::IWORKMediaElement:

## Public Member Functions
| IWORKMediaElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | startOfElement () override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
IWORKMediaContentPtr_t | m_content

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKMediaElement()

libetonyek::IWORKMediaElement::IWORKMediaElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKMediaElement::element | ( | int | name | ) |
| override private

## ◆ endOfElement()

void libetonyek::IWORKMediaElement::endOfElement | ( |  | ) |
| override private

## ◆ startOfElement()

void libetonyek::IWORKMediaElement::startOfElement | ( |  | ) |
| override private

## Member Data Documentation

## ◆ m_content

IWORKMediaContentPtr_t libetonyek::IWORKMediaElement::m_content
| private

Referenced by element(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKMediaElement.h
- IWORKMediaElement.cpp